Bug 468554 - Review Request: barrage - Kill and destroy as many targets as possible within 3 minutes
Review Request: barrage - Kill and destroy as many targets as possible within...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Simon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-25 16:44 EDT by Stefan Posdzich
Modified: 2008-11-04 12:56 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-04 12:56:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cassmodiah: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Stefan Posdzich 2008-10-25 16:44:46 EDT
Spec: http://cheekyboinc.spielen-unter-linux.de/barrage.spec
SRPM: http://cheekyboinc.spielen-unter-linux.de/barrage-1.0.2-1.fc10.src.rpm

Description:

Barrage is a rather violent action game with the objective to kill
and destroy as many targets as possible within 3 minutes. The player
controls a gun that may either fire small or large grenades at
soldiers, jeeps and tanks. It is a very simple gameplay though it is
not that easy to get high scores.
Comment 1 Simon 2008-10-25 17:59:20 EDT
you forgot a little thing :-)


%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
Comment 2 Simon 2008-10-26 06:47:20 EDT
Some Issues

missing DesktopFile usage 
(https://fedoraproject.org/wiki/Packaging/Guidelines#desktop-file-install_usage)

Remove unusualy Categories in the desktopfile install like 
(http://standards.freedesktop.org/menu-spec/latest/apa.html)

desktop-file-install \
                    --remove-category="X-Red-Hat-Base;Application" \
                    --delete-original \
                    --dir=%{buildroot}%{_datadir}/applications \
$RPM_BUILD_ROOT/%{_datadir}/applications/%name.desktop


echo Icon=barrage >> barrage.desktop
use macros, because it looks better: 
echo Icon=%{name} >> %{name}.desktop 

in my opinion it is better to write a little patch to correct the categories and the missing icon of this desktopfile and
just validate the desktopfile install. It's easier to handle and minimize and clear the spec-file.

desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop



Icons:
look at comment 1



%files:
you wrote:
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*

I would rather write:
%{_datadir}/%{name}/

%doc AUTHORS ChangeLog COPYING INSTALL README
%doc AUTHORS BUGS ChangeLog COPYING INSTALL README
Comment 3 Christoph Wickert 2008-10-26 07:15:36 EDT
(In reply to comment #2)
> Remove unusualy Categories in the desktopfile install like 
> (http://standards.freedesktop.org/menu-spec/latest/apa.html)
> 
> desktop-file-install \
>                     --remove-category="X-Red-Hat-Base;Application" \
>                     --delete-original \
>                     --dir=%{buildroot}%{_datadir}/applications \
> $RPM_BUILD_ROOT/%{_datadir}/applications/%name.desktop

"Application" needs to be removed for it is no longer a valid category. "X-Red-Hat-Base" can remain. Categories prefixed with X- are considered as custom categories. Nevertheless "X-Red-Hat-Base" is not really needed anymore, it was used to define what apps should appear at top level once.

> echo Icon=barrage >> barrage.desktop
> use macros, because it looks better: 
> echo Icon=%{name} >> %{name}.desktop 

Using macros here hardly adds any value. The guidelines say one should use macros consistently, this means not to mix %{buildroot} and $RPM_BUILD_ROOT for example, but this does not mean one necessarily needs to use macros everywhere.

Regarding the icon: 48x48 would be better than 32x32.

> in my opinion it is better to write a little patch to correct the categories
> and the missing icon of this desktopfile and
> just validate the desktopfile install. It's easier to handle and minimize and
> clear the spec-file.

I disagree. IMHO a patch should be avoided here, because it adds additional overhead. desktop-file-install is there for editing and installing desktop files and will also validate them. 

> I would rather write:
> %{_datadir}/%{name}/

correct

> %doc AUTHORS BUGS ChangeLog COPYING INSTALL README

Remove INSTALL from %doc, it is not needed when installing from rpm and thus only adds confusion.
Comment 4 Christoph Wickert 2008-10-26 07:18:26 EDT
The timestamp of Source0 nside the SRPM does not match SourceURL. Pleas use wget or similar to download and keep the timestamp, see
https://fedoraproject.org/wiki/Packaging/Guidelines#Timestamps
Comment 5 Stefan Posdzich 2008-10-26 10:28:43 EDT
It was late yesterday :) Fixed the problems.

Spec: http://cheekyboinc.spielen-unter-linux.de/barrage.spec
SRPM: http://cheekyboinc.spielen-unter-linux.de/barrage-1.0.2-2.fc10.src.rpm
Comment 8 Simon 2008-10-31 14:24:14 EDT
Template from:
https://fedoraproject.org/wiki/Packaging/ReviewGuidelines


- MUST: rpmlint must be run on every package. The output should be posted in the review.

+ OK rpmlint is silence 


- MUST: The package must be named according to the Package Naming Guidelines .

+ OK


- MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption on Package Naming Guidelines . 

+ OK


- MUST: The package must meet the Packaging Guidelines .

+ OK


- MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .

+ OK


- MUST: The License field in the package spec file must match the actual license.

+ OK


- MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.

+ OK


- MUST: The spec file must be written in American English.

+ OK


- MUST: The spec file for the package MUST be legible. If the reviewer is unable to read the spec file, it will be impossible to perform a review. Fedora is not the place for entries into the Obfuscated Code Contest (http://www.ioccc.org/).

+ OK


- MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

+ OK
No md5sum information on upstream´s homepage
5dbecef907eb27215e8cc047eae2ee90 (cheekyboinc download)
5dbecef907eb27215e8cc047eae2ee90 (cassmodiah download)
5dbecef907eb27215e8cc047eae2ee90 (Source0 in srpm)


- MUST: The package must successfully compile and build into binary rpms on at least one supported architecture.

+ OK http://koji.fedoraproject.org/koji/taskinfo?taskID=913483


- MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch needs to have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number should then be placed in a comment, next to the corresponding ExcludeArch line. New packages will not have bugzilla entries during the review process, so they should put this description in the comment until the package is approved, then file the bugzilla entry, and replace the long explanation with the bug number. The bug should be marked as blocking one (or more) of the following bugs to simplify tracking such issues: FE-ExcludeArch-x86 , FE-ExcludeArch-x64 , FE-ExcludeArch-ppc , FE-ExcludeArch-ppc64 

/ N/A


- MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.

+ OK


- MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

/ N/A


- MUST: Every binary RPM package which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. If the package has multiple subpackages with libraries, each subpackage should also have a %post/%postun section that calls /sbin/ldconfig. An example of the correct syntax for this is: 
%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

/ N/A


- MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.

/ N/A


- MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. Refer to the Guidelines for examples. 

+ OK


- MUST: A package must not contain any duplicate files in the %files listing.

+ OK


- MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.

+ OK


- MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ).

+ OK

- MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines . 

+ OK


- MUST: The package must contain code, or permissable content. This is described in detail in the code vs. content section of Packaging Guidelines . 

+ OK


- MUST: Large documentation files should go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity)

/ N/A


- MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. 

+ OK


- MUST: Header files must be in a -devel package.

/ N/A


- MUST: Static libraries must be in a -static package.

/ N/A


- MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).

/ N/A


- MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.

/ N/A


- MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} 

/ N/A


- MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.

/ N/A


- MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. This is described in detail in the desktop files section of the Packaging Guidelines . If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.

+ OK


- MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.

+ OK


- MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ). See Prepping BuildRoot For %install for details.

+ OK


- MUST: All filenames in rpm packages must be valid UTF-8.

+ OK



last but not least:
+----------------------+
|                      |
|   BARRAGE APPROVED   |
|                      |
+----------------------+
Thank you all
Comment 9 Stefan Posdzich 2008-11-02 05:22:43 EST
New Package CVS Request
=======================
Package Name: barrage
Short Description: kill and destroy as many targets as possible
Owners: cheekyboinc
Branches: F-8 F-9 F-10
InitialCC:
Cvsextras Commits: yes
Comment 10 Dennis Gilmore 2008-11-03 13:40:08 EST
CVS Done

Note You need to log in before you can comment on or make changes to this bug.